Bukkit plugin installation

  1. Help Center
  2. Minecraft
  3. Bukkit plugin installation

You feel like your server lacks some features? Thousands of Bukkit plugins are available to enhance your Minecraft game experience!

Plugin downloading

The central part is to download the plugin that fits your need/desire and also be careful to take the right version corresponding to your Bukkit / Minecraft version.

I know the plugin name, how to find the official plugin page?

It's straightforward; let's take the example of Essentials. Go to your favorite search engine and enter "essentials bukkit". In the first links, you may find the plugin page hosted by dev.bukkit.org.

Once on the plugin page, you will find every version of the plugin. You need to download the file that matches the Minecraft and the Bukkit version of your server.


Problem: There isn't any version matching exactly my Minecraft version. What should I do?

Sometimes plugins are not entirely up to date. The risk is that it might make the serverless stable. If the plugin is made for a version like 1.13.1 and you use 1.13.2, the differences aren't significant, so you can take the risk to put this earlier version on your server.

If the plugin is made for 1.12.2 and you play on 1.13.2, there's a significant difference in Minecraft versions, in this case, you should avoid to put this plugin on the server and wait for it to be updated by its developers.

Installation

Generally, a plugin is just a simple .jar file. You need to use the FTP access of your server and send the .jar file to the plugins directory of your FTP contained in the minecraft directory.

Then restart your server so the plugin will be loaded.

If the plugin comes with a directory of its name, send it too to the plugins directory of the FTP.

Plugin update

In case you want to update a plugin, be careful to avoid server crash. First precaution: stop your server before doing any plugin update.

Once the server stopped, you can replace the .jar file of the plugin. If your FTP client asks you if you want to override and older version of the file, confirm the action.

If not, check if the older version of the plugin had a different name and do not forget to delete this file so the server won't have the two different version at the same time, which would cause... a crash!